For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Get deployment frequency chart data. Engineering insights displays deployment frequency data in the deployment frequency metric view.
LaunchDarkly supports expanding the chart response to include additional fields.
To expand the response, append the expand query parameter and include the following:
metrics includes details on the metrics related to deployment frequencyFor example, use ?expand=metrics to include the metrics field in the response. By default, this field is not included in the response.
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency \
--header 'Authorization: <api-key>'{
"metadata": {
"summary": {},
"xAxis": "timestamp",
"yAxis": "count",
"name": "deploymentFrequency",
"metrics": {}
},
"series": [
{
"metadata": {
"name": "<string>",
"count": 123,
"bounds": [
{
"name": "equal",
"value": 100
}
]
},
"data": [
{
"x": 1617225600000,
"y": 100,
"values": {}
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The environment key
Comma separated list of application keys
Unix timestamp in milliseconds. Default value is 7 days ago.
Unix timestamp in milliseconds. Default value is now.
Specify type of bucket. Options: rolling, hour, day. Default: rolling.
Duration of intervals for x-axis in milliseconds. Default value is one day (86400000 milliseconds).
Options: application, kind
Options: metrics
curl --request GET \
--url https://app.launchdarkly.com/api/v2/engineering-insights/charts/deployments/frequency \
--header 'Authorization: <api-key>'{
"metadata": {
"summary": {},
"xAxis": "timestamp",
"yAxis": "count",
"name": "deploymentFrequency",
"metrics": {}
},
"series": [
{
"metadata": {
"name": "<string>",
"count": 123,
"bounds": [
{
"name": "equal",
"value": 100
}
]
},
"data": [
{
"x": 1617225600000,
"y": 100,
"values": {}
}
]
}
]
}